# Class ExpressionImpl

java.lang.Object
javax.servlet.jsp.el.Expression
org.apache.jasper.el.ExpressionImpl

@Deprecated public final class ExpressionImpl extends Expression
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ExpressionImpl(ValueExpression ve, ExpressionFactory factory)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`evaluate(VariableResolver vResolver)`
Deprecated.
Evaluates an expression that was previously prepared.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionImpl

public ExpressionImpl(ValueExpression ve, ExpressionFactory factory)
Deprecated.

## Method Details

### evaluate

public Object evaluate(VariableResolver vResolver) throws ELException
Deprecated.
Description copied from class: `javax.servlet.jsp.el.Expression`
Evaluates an expression that was previously prepared. In some implementations preparing an expression involves full syntactic validation, but others may not do so. Evaluating the expression may raise an ELParseException as well as other ELExceptions due to run-time evaluation.

Specified by:
  `evaluate` in class `Expression`
Parameters:
  `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
Returns:
  The result of the expression evaluation.
Throws:
  `ELException` - Thrown if the expression evaluation failed.